/* ReSCAL - Render and display module
 *
 * Copyright (C) 2011
 *
 * Author: Olivier Rozier <rozier@ipgp.fr>
 *
 * This file is part of ReSCAL.
 *
 * ReSCAL is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */


#define IMG_W_MAX 5000

#define COUPE MAX_CELL

//enum IMG_FORMATS {IMG_PNG, IMG_JPEG};
enum VIEW_DIR {VDIR_NONE, VDIR_NORTH, VDIR_WIND};

void show_view_options();
int view_init(int, char **, int *, int *);
void view_palette(int *);
void rotate_light(float angle);
unsigned char * view();
void view_quit();
int update_cv(int x, int y);

#ifdef USE_LIBPNG
void view_dump_init();
void view_dump_png(char *nom);
#endif

#ifdef USE_GD
void view_dump_init();
//void view_dump_inter(int inter, int format);
void view_dump_png(char *nom);
void view_dump_jpeg(char *nom);
#endif

void dump_image(char *filename, char *format);
void dump_image_inter(int inter, char *format);

